package com.ruoyi.mall.domain;

import java.math.BigDecimal;
import java.util.List;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 业务员业绩对象 mall_salesman_achievement
 *
 * @author ruoyi
 * @date 2024-03-26
 */
public class MallSalesmanAchievement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private List<Long> achievementIdList;

    /** 业务员业绩主键ID */
    private Long achievementId;

    /** 业务员ID */
    private Long salesmanId;

    /** 业务员名 */
    @Excel(name = "业务员名", sort = 1)
    private String salesmanName;

    /** 金额 */
    @Excel(name = "金额", sort = 2)
    private BigDecimal price;

    /** 提成 */
    @Excel(name = "提成", sort = 3)
    private BigDecimal money;

    /** 状态：0-冻结中，1-已获得，2-已失效 */
    @Excel(name = "状态：0-冻结中，1-已获得，2-已失效", sort = 4, readConverterExp = "0=冻结中,1=已获得,2=已失效")
    private Integer status;

    /** 关联订单ID */
    private Long linkOrderId;

    /** 关联订单号 */
    @Excel(name = "关联订单号", sort = 5)
    private String linkOrderNo;

    /** 订单状态：0=待支付,1=待发货,2=待收货,3=待评论,4=已完成,5=退货中,6=退款成功,7=换货中,8=已取消,10-待拼团 */
    private String orderStatus;

    /** 配送方式：0-快递，1-自提 */
    private Integer deliveryType;

    /** 关联会员ID */
    private Long linkUserId;

    /** 关联会员名 */
    @Excel(name = "关联会员名", sort = 6)
    private String linkUserName;

    /** 创建时间 */
    @Excel(name = "创建时间", sort = 7)
    private String createAt;

    /** 更新时间 */
    private String updateAt;

    /** 删除标记 */
    private Integer delFlag;

    /** 店铺id */
    private Long shopId;

    /** 是否发放 */
    private Integer isGive;

    public List<Long> getAchievementIdList() {
        return achievementIdList;
    }

    public void setAchievementIdList(List<Long> achievementIdList) {
        this.achievementIdList = achievementIdList;
    }

    public Integer getIsGive() {
        return isGive;
    }

    public void setIsGive(Integer isGive) {
        this.isGive = isGive;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public void setAchievementId(Long achievementId)
    {
        this.achievementId = achievementId;
    }

    public Long getAchievementId()
    {
        return achievementId;
    }
    public void setSalesmanId(Long salesmanId)
    {
        this.salesmanId = salesmanId;
    }

    public Long getSalesmanId()
    {
        return salesmanId;
    }
    public void setSalesmanName(String salesmanName)
    {
        this.salesmanName = salesmanName;
    }

    public String getSalesmanName()
    {
        return salesmanName;
    }
    public void setPrice(BigDecimal price)
    {
        this.price = price;
    }

    public BigDecimal getPrice()
    {
        return price;
    }
    public void setMoney(BigDecimal money)
    {
        this.money = money;
    }

    public BigDecimal getMoney()
    {
        return money;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setLinkOrderId(Long linkOrderId)
    {
        this.linkOrderId = linkOrderId;
    }

    public Long getLinkOrderId()
    {
        return linkOrderId;
    }
    public void setLinkOrderNo(String linkOrderNo)
    {
        this.linkOrderNo = linkOrderNo;
    }

    public String getLinkOrderNo()
    {
        return linkOrderNo;
    }
    public void setOrderStatus(String orderStatus)
    {
        this.orderStatus = orderStatus;
    }

    public String getOrderStatus()
    {
        return orderStatus;
    }
    public void setDeliveryType(Integer deliveryType)
    {
        this.deliveryType = deliveryType;
    }

    public Integer getDeliveryType()
    {
        return deliveryType;
    }
    public void setLinkUserId(Long linkUserId)
    {
        this.linkUserId = linkUserId;
    }

    public Long getLinkUserId()
    {
        return linkUserId;
    }
    public void setLinkUserName(String linkUserName)
    {
        this.linkUserName = linkUserName;
    }

    public String getLinkUserName()
    {
        return linkUserName;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(Integer delFlag)
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("achievementId", getAchievementId())
            .append("salesmanId", getSalesmanId())
            .append("salesmanName", getSalesmanName())
            .append("price", getPrice())
            .append("money", getMoney())
            .append("status", getStatus())
            .append("linkOrderId", getLinkOrderId())
            .append("linkOrderNo", getLinkOrderNo())
            .append("orderStatus", getOrderStatus())
            .append("deliveryType", getDeliveryType())
            .append("linkUserId", getLinkUserId())
            .append("linkUserName", getLinkUserName())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
